Skip to main content
GET
/
v1
/
chats
/
{id}
/
messages
Get chat messages
curl --request GET \
  --url https://api.example.com/v1/chats/{id}/messages
import requests

url = "https://api.example.com/v1/chats/{id}/messages"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/chats/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "senderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "content": "<string>",
    "type": "<string>",
    "metadata": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "readBy": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ]
  }
]

Path Parameters

id
string<uuid>
required

Query Parameters

limit
integer
default:50
before
string<date-time>
after
string<date-time>

Response

200 - application/json

List of messages

id
string<uuid>
chatId
string<uuid>
senderId
string<uuid>
content
string
type
string
metadata
object
createdAt
string<date-time>
readBy
string<uuid>[]